Apps Learning Center‎ > ‎News‎ > ‎

Google Apps No Longer Supports Internet Explorer 8 as of Nov 15, 2012

posted Sep 25, 2012, 10:57 AM by Unknown user   [ updated Mar 10, 2014, 7:40 AM by Frederick Kennedy ]
In addition to the latest version of Google Chrome, Google supports the current and previous major releases of Firefox, Internet Explorer, and Safari on a rolling basis. Each time a new version is released, Google begins supporting that version and stops supporting the third most recent version. Read Google's Official Statement.

Google will discontinue support for Internet Explorer 8 on 11/15/2012. After this date, if you access Google Apps services using Internet Explorer 8 you will see a message recommending that you upgrade your browser.

Windows 8: Windows 8 ships on October 26th, 2012 and comes with Internet Explorer 10. After Novemver 15, 2012, if you use Internet Explorer 8 for Google Apps you may see "browser too old" sorts of messages when accessing UAH Google Apps.

Windows Vista and Windows 7 Users: Please upgrade to Internet Explorer 9 or greater. Contact helpdesk@uah.edu if you would like assistance.

Windows XP Users: Internet Explorer 9 is not available for Windows XP. Windows XP users can upgrade to windows 7/8 or use Firefox/Chrome/Safari when using Google Apps as a solution until they are able to upgrade to Windows 7/8. Fill out the Software Request Form and send to helpdesk@uah.edu to purchase an operating system upgrade.

Note: If you use Microsoft Outlook with the Google Apps sync plugin, you should be unaffected.

Comments